%define origname xxkb
%define ldvver 3
Name: xxkb-enhanced
Version: 1.10
Release: alt0.0.ldv%ldvver

Summary: Switcher and indicator of current keyboard layout
Summary(ru_RU.KOI8-R):     
License: Artistic
Group: System/Internationalization
Url: http://www.tsu.ru/~pascal/other/%origname

Source: %url/%origname-%version.tar.bz2
Source1: %origname.xpm
Source2: %origname.menu
Source3: README.emacs
Source4: xxkbrc.emacs

Patch: %origname-1.10-alt-fixes.patch
Patch1: %origname-1.10-markov.patch

Provides: %origname = %{version}-alt%{ldvver}.vla1
Conflicts: %origname < %{version}-alt%{ldvver}.vla1

# Automatically added by buildreq on Sat Oct 26 2002
BuildRequires: XFree86-devel xpm-devel

%description
The xxkb program shows the current keyboard layout (an XKB group) and
allows to switch it with a mouse click.  It has some additional features.
The xxkb remebers the layout for each application window and changes
the keyboard state accordingly when the window gets a focus.  The xxkb
can place an additional button on a window titlebar and that button is
a switcher and an indicator for that separate window.  If the keyboard
map has more than two layouts the xxkb can simplify a switching using a
two_state mode.  In this mode the xxkb allows to choose two layouts, one
as a base layout and another one as an alternative layout and then switch
the keyboard state between them only.  Also the xxkb supports applications
lists which allow to tune its behavior for some separate applications.

The xxkb works with any window manager.

Patch by Evgenii Markov is included. See README.emacs for details (in
Russian).

%DESCRIPTION -l ru_RU.KOI8-R
       
(""   XKB).

 , 
-    (""   )
-   " ".
      ""  - ,
    XKB.

  xxkb 
-       
.       
 .
- ""  ("")  ""  
.         ("
"  )   .
-  ,  XKB      , ""
   ,      
- " "-" ".   
      .

 ,  xxkb     Window Manager'.

      .    
README.emacs ( ).

%prep
%setup -q -n %origname-%version
%patch -p1
%patch1 -p1

%build
%__cp %SOURCE3 %SOURCE4 .
xmkmf
%make_build CDEBUGFLAGS="$RPM_OPT_FLAGS" BASEDIR=%prefix PIXMAPDIR=%_datadir/%origname

%install
%__mkdir_p $RPM_BUILD_ROOT%_datadir/%origname
%__install -p -m644 *.xpm $RPM_BUILD_ROOT%_datadir/%origname/
%__install -pD -m755 %origname $RPM_BUILD_ROOT%_bindir/%origname
%__install -pD -m644 %origname.man $RPM_BUILD_ROOT%_man1dir/%origname.1
%__install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_iconsdir/%origname.xpm
%__install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_menudir/%origname

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_man1dir/*
%_menudir/*
%_iconsdir/*.xpm
%_datadir/%origname
%doc CHANGES.koi8 README.koi8 XXkb.ad README.emacs xxkbrc.emacs

%changelog
* Wed Apr 19 2006 Igor Vlasenko <viy@altlinux.ru> 1.10-alt0.0.ldv3
- xxkb fork with Emacs support (Markov patch added).
- for Daedalus.

* Wed Mar 15 2006 Evgenii Terechkov <evg@krastel.ru> 1.10-alt3
- Markov patch added

* Wed Aug 04 2004 Dmitry V. Levin <ldv@altlinux.org> 1.10-alt2
- Fixed menu entry (#3908).

* Fri Apr 18 2003 Dmitry V. Levin <ldv@altlinux.org> 1.10-alt1
- Updated to 1.10, updated patch.

* Wed Nov 13 2002 Dmitry V. Levin <ldv@altlinux.org> 1.9-alt1
- 1.9

* Sat Oct 26 2002 Dmitry V. Levin <ldv@altlinux.org> 1.8-alt1
- Updated to 1.8
- Added manpage.
- Fixed compilation warnings.
- Updated summary and description.

* Mon Sep 17 2001 AEN <aen@logic.ru> 1.6-alt2
- rebuild with new XFree 

* Wed Mar 28 2001 AEN <aen@logic.ru> 1.6-alt1
- new version

* Tue Jan 23 2001 Dmitry V. Levin <ldv@fandra.org> 1.5.1-ipl5mdk
- Specfile cleanup.

* Wed Dec 13 2000 AEN <aen@logic.ru>
- new version
- cleanup spec

* Wed Jan 12 2000 AEN <aen@logic.ru>
- new version (1.3)

* Wed Jan 5 2000 AEN <aen@logic.ru>
- build for RE
- belarusian xpm added

* Thu Jun  3  1999 Vladimir Bormotov <bor@vb.dn.ua>
- xxkb.spec improvements

* Sat May 26  1999 Vladimir Bormotov <bor@vb.dn.ua>
- create xxkb.spec
